Subject: Re: bug#22470: 25.1.50; vc-annotate (HG) does not display changes within one day (colors)

From: Glenn Morris <[email-masked]>
Date: Tue, 26 Jan 2016 13:50:20 -0500

Uwe Brauer wrote:

> For master vc-annotate displays the lines all in the same color while
> emacs-25-branch distinguish them.

FWIW, I see no difference between current master and emacs-25.
It also seems self-evident to me that if you've set the date to only
display at the level of days, you'll only get colouring at the same
level.

The current vc-annotate behavior for hg seems consistent with eg git.

Finally, at a very quick glance that ahg thing seems to colorize based
on revision number, not on age, which is a different scheme.

So personally I see no bug here.